[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# CleanAndExpandFilename

CleanAndExpandFilename - trims irrelevant characters such as path delimiters from the name of the file

## Declaration

Source position: fileutil.pas line 89

`function CleanAndExpandFilename(`
`const Filename: String`
`):String;`

## Arguments

`Filename` |  | The name of the file for processing

## Function result

Returns the original file name without redundant leading or trailing spaces, path delimiters etc

The latest version of this document can be found at lazarus-ccr.sourceforge.net.